package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.api.dto.PmIrsubableSlabRequestDTO;
import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmIrsubableSlab;
import com.xisc.pm.domain.repository.PmIrsubableSlabRepository;
import com.xisc.pm.infra.mapper.PmIrsubableSlabMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 不可替代板坯表(PmIrsubableSlab)资源库
 *
 * @author BKGY
 * @since 2024-12-20 15:57:38
 */
@Component
public class PmIrsubableSlabRepositoryImpl extends BaseRepositoryImpl<PmIrsubableSlab> implements PmIrsubableSlabRepository {
    @Resource
    private PmIrsubableSlabMapper pmIrsubableSlabMapper;

    @Override
    public List<PmIrsubableSlab> selectList(PmIrsubableSlabRequestDTO pmIrsubableSlab) {
        return pmIrsubableSlabMapper.selectList(pmIrsubableSlab);
    }

    @Override
    public PmIrsubableSlab selectByPrimary(Long id) {
        PmIrsubableSlabRequestDTO pmIrsubableSlab = new PmIrsubableSlabRequestDTO();
        pmIrsubableSlab.setId(id);
        List<PmIrsubableSlab> pmIrsubableSlabs = pmIrsubableSlabMapper.selectList(pmIrsubableSlab);
        if (CollectionUtils.isEmpty(pmIrsubableSlabs)) {
            return null;
        }
        return pmIrsubableSlabs.get(0);
    }

}

